unit Unit1;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, Forms, Controls, Graphics, Dialogs, StdCtrls, TAGraph,
  TAChartCombos, LCLTranslator, ExtCtrls;

type

  { TForm1 }

  TForm1 = class(TForm)
    Button1: TButton;
    Button2: TButton;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    RadioButton1: TRadioButton;
    RadioButton2: TRadioButton;
    RadioButton3: TRadioButton;
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private
    FLang: String;
    procedure SetLanguage(ALang: String);
    procedure UpdateLanguage;

  public

  end;

var
  Form1: TForm1;

implementation

{$R *.lfm}

uses
  Translations, TAChartStrConsts;

{ TForm1 }

procedure TForm1.Button1Click(Sender: TObject);
begin
  if FLang = 'en' then
    SetLanguage('de')
  else
    SetLanguage('en');
end;

procedure TForm1.Button2Click(Sender: TObject);
begin
  ShowMessage(rsLineSeries);
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
  SetLanguage('');
end;

procedure TForm1.SetLanguage(ALang: String);
begin
  if ALang = '' then FLang := GetDefaultLang else FLang := ALang;
  SetDefaultLang(FLang);
  UpdateLanguage;
end;

procedure TForm1.UpdateLanguage;
var
  fn: String;
begin
  fn := Application.Location + 'locale/TAChartStrConsts.%s.po';
  Translations.TranslateUnitResourceStrings('TAChartStrConsts', Format(fn, [Flang]));

  RadioButton1.Caption := rsPSSolid;
  RadioButton2.Caption := rsPSDash;
  RadioButton3.Caption := rsPSDot;

  Label3.Caption := FLang;
end;

end.

